Problems trying to update to 9.2

Discussion in '3DS - Flashcards & Custom Firmwares' started by SmellyPirateMonkey, May 26, 2016.

  1. SmellyPirateMonkey
    OP

    SmellyPirateMonkey GBAtemp Fan

    Member
    346
    99
    Sep 18, 2015
    United States
    So I'm on 5.1.0-11U and I'm trying to update to 9.2. I'm trying to use rxtools 2.5.2 to launch devmode but it just freezes the console when I select it. I've tried multiple times even tried a different sd card.

    Weird thing is I just used this version of rxtools on another 3ds of mine and it worked no problems.

    Is there another way to safely use sysupdater? Would really appreciate if someone could help.
     
  2. Harsky

    Harsky Madmin

    Member
    5,315
    429
    Aug 2, 2004
  3. Lacius

    Lacius GBAtemp Guru

    Member
    5,581
    2,096
    May 11, 2008
    United States
    The good news is you're doing exactly what you're supposed to do. I would recommend trying a more up to date version of rxTools and see if that solves your problem.
     
  4. SmellyPirateMonkey
    OP

    SmellyPirateMonkey GBAtemp Fan

    Member
    346
    99
    Sep 18, 2015
    United States
  5. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,630
    438
    Jan 8, 2009
    China
    It seems that rxTools 2.X Devmode only supports main version 4.X and 6.X, 1.0-3.0, 5.0-5.1, 7.0-8.1 are not supported.
    You have to upgrade your main version to 6.X in order to use it.
     
    Last edited by MelonGx, May 26, 2016
    SmellyPirateMonkey likes this.
  6. SmellyPirateMonkey
    OP

    SmellyPirateMonkey GBAtemp Fan

    Member
    346
    99
    Sep 18, 2015
    United States
    Thanks guys. I ended up updating with a cartridge then downgraded to 9.2
     
  7. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,402
    4,730
    Mar 17, 2010
    Norway
    Alola
    Or he can update rxTools to 3.0 beta or one of the nightlies.
     
  8. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,630
    438
    Jan 8, 2009
    China
    Since his FW is not a frankenfirmware, it is theoretically OK.
    But actually nobody tested that.
     
  9. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,402
    4,730
    Mar 17, 2010
    Norway
    Alola
    I used Pasta Mode in one of the nightlies to update a 3DS before and I'm sure I'm not the only one.
     
  10. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,630
    438
    Jan 8, 2009
    China
    In a NOT 4.X/6.X?

    Now, CakeHax-based rxTools doesn't support -4 frankenfirmwares.
    Original rxTools 2.X supports them but cannot boot Devmenu on any other than 4.X / 6.X.
     
    Last edited by MelonGx, May 26, 2016
  11. nero99

    nero99 GBAtemp Advanced Maniac

    Member
    1,853
    831
    Sep 18, 2014
    United States
    Boot pasta CFW if you can? It gotta a patched sysnand so you can do all that updating no issue
     
  12. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,630
    438
    Jan 8, 2009
    China
    PBT-like is limited to 4.X.
    Minipasta is limited to 9.X.
    No 5.0-8.1 entries.
    No frankenfirmware entries.
     
  13. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,402
    4,730
    Mar 17, 2010
    Norway
    Alola
    I actually did it on 2 3DSes, one was 6.x the other was 7.x.
     
    MelonGx likes this.